<?php

	function pixelwars_theme_customize_register( $wp_customize )
	{
		/* ================================================== */
		
		
		$wp_customize->add_section( 'section_colors' , array(   'title'    => __( 'Colors', 'read' ),
																'priority' => 30 ) );
		
		
		$wp_customize->add_setting( 'setting_link_color', array(    'default'   => '#ab977a',
																	'transport' => 'refresh' ) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'control_link_color', array( 'label'    => __( 'Link Color', 'read' ),
																												'section'  => 'section_colors',
																												'settings' => 'setting_link_color' ) ) );
		
		
		$wp_customize->add_setting( 'setting_link_hover_color', array(  'default'   => '#c9b69b',
																		'transport' => 'refresh' ) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'control_link_hover_color', array(   'label'    => __( 'Link Hover Color', 'read' ),
																														'section'  => 'section_colors',
																														'settings' => 'setting_link_hover_color' ) ) );
		
		
		/* ================================================== */
		
		
		$wp_customize->add_section( 'section_fonts' , array(    'title'    => __( 'Fonts', 'read' ),
																'priority' => 31 ) );
		
		
		include_once(get_template_directory() . '/admin/fonts.php');
		
		
		$wp_customize->add_setting( 'setting_content_font', array(  'default'   => 'Roboto',
																	'transport' => 'refresh' ) );
		
		$wp_customize->add_control( 'control_content_font', array(	'label'    => 'Body Font',
																	'section'  => 'section_fonts',
																	'settings' => 'setting_content_font',
																	'type'     => 'select',
																	'choices'  => $all_fonts ) );
		
		
		$wp_customize->add_setting( 'setting_heading_font', array(  'default'   => 'Montserrat',
																	'transport' => 'refresh' ) );
		
		$wp_customize->add_control( 'control_heading_font', array(	'label'    => 'Heading Font',
																	'section'  => 'section_fonts',
																	'settings' => 'setting_heading_font',
																	'type'     => 'select',
																	'choices'  => $all_fonts ) );
		
		
		$wp_customize->add_setting( 'setting_menu_font', array( 'default'   => 'Montserrat',
																'transport' => 'refresh' ) );
		
		$wp_customize->add_control( 'control_menu_font', array(	'label'    => 'Menu Font',
																'section'  => 'section_fonts',
																'settings' => 'setting_menu_font',
																'type'     => 'select',
																'choices'  => $all_fonts ) );
		
		
		$wp_customize->add_setting( 'setting_text_logo_font', array(    'default'   => 'Montserrat',
																		'transport' => 'refresh' ) );
		
		$wp_customize->add_control( 'control_text_logo_font', array(    'label'    => 'Text Logo Font',
																		'section'  => 'section_fonts',
																		'settings' => 'setting_text_logo_font',
																		'type'     => 'select',
																		'choices'  => $all_fonts ) );
		
		
		/* ================================================== */
		
		
		$wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
		$wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
		
		$wp_customize->get_setting( 'setting_link_color' )->transport = 'postMessage';
		$wp_customize->get_setting( 'setting_link_hover_color' )->transport = 'postMessage';
		
		$wp_customize->get_setting( 'setting_content_font' )->transport = 'postMessage';
		$wp_customize->get_setting( 'setting_heading_font' )->transport = 'postMessage';
		$wp_customize->get_setting( 'setting_menu_font' )->transport = 'postMessage';
		$wp_customize->get_setting( 'setting_text_logo_font' )->transport = 'postMessage';
	}
	
	add_action( 'customize_register', 'pixelwars_theme_customize_register' );

?>