<?php

	function pixelwars_theme_customize_css()
	{
		global $pixelwars_subset;
		
		
		$extra_font_styles = get_option( 'extra_font_styles', 'No' );
		
		if ( $extra_font_styles == 'Yes' )
		{
			$font_styles = ':300,400,600,700,800,900,300italic,400italic,600italic,700italic,800italic,900italic';
		}
		else
		{
			$font_styles = ':400,700,400italic,700italic';
		}
		
		
		/* ================================================== */
		
		
		$setting_content_font = get_theme_mod( 'setting_content_font', "" );
		
		if ( $setting_content_font != "" )
		{
			?>

<!-- Body Font -->
<link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=<?php echo str_replace( ' ', '+', $setting_content_font ) . $font_styles . $pixelwars_subset; ?>">
<style type="text/css">body, input, textarea, select, button { font-family: "<?php echo $setting_content_font; ?>"; }</style>
			<?php
		}
		
		
		$setting_heading_font = get_theme_mod( 'setting_heading_font', "" );
		
		if ( $setting_heading_font != "" )
		{
			?>

<!-- Heading Font -->
<link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=<?php echo str_replace( ' ', '+', $setting_heading_font ) . $font_styles . $pixelwars_subset; ?>">
<style type="text/css">
h1, h2, h3, h4, h5, h6,
.entry-meta,
.entry-title,
.navigation,
.post-pagination,
tr th,
dl dt,
input[type=submit],
input[type=button],
button,
.button,
label,
.comment .reply,
.comment-meta,
.yarpp-thumbnail-title,
.tab-titles,
.owl-theme .owl-nav [class*='owl-'],
.tptn_title,
.widget_categories ul li.cat-item,
.widget_recent_entries ul li {
	font-family: "<?php echo $setting_heading_font; ?>";
}
</style>
			<?php
		}
		
		
		$setting_menu_font = get_theme_mod( 'setting_menu_font', "" );
		
		if ( $setting_menu_font != "" )
		{
			?>

<!-- Menu Font -->
<link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=<?php echo str_replace( ' ', '+', $setting_menu_font ) . $font_styles . $pixelwars_subset; ?>">
<style type="text/css">.nav-menu { font-family: "<?php echo $setting_menu_font; ?>"; }</style>
			<?php
		}
		
		
		$setting_text_logo_font = get_theme_mod( 'setting_text_logo_font', "" );
		
		if ( $setting_text_logo_font != "" )
		{
			?>

<!-- Text Logo Font -->
<link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=<?php echo str_replace( ' ', '+', $setting_text_logo_font ) . $font_styles . $pixelwars_subset; ?>">
<style type="text/css">.site-title { font-family: "<?php echo $setting_text_logo_font; ?>"; }</style>
			<?php
		}
		
		
		/* ================================================== */
		
		
		$setting_link_color = get_theme_mod( 'setting_link_color', "" );
		
		if ( $setting_link_color != "" )
		{
			?>

<!-- Link Color -->
<style type="text/css">a { color: <?php echo $setting_link_color; ?>; }</style>
			<?php
		}
		
		
		$setting_link_hover_color = get_theme_mod( 'setting_link_hover_color', "" );
		
		if ( $setting_link_hover_color != "" )
		{
			?>

<!-- Link Hover Color -->
<style type="text/css">a:hover, .nav-menu ul li a:hover { color: <?php echo $setting_link_hover_color; ?>; }</style>
			<?php
		}
	}
	
	add_action( 'wp_head', 'pixelwars_theme_customize_css' );

?>