<?php

	function photographer_enqueue_scripts__theme_styles()
	{
		global $pixelwars_subset;
		$pixelwars_subset = '&subset=';
		$extra_char_set = false;
		
		if (get_option('char_set_latin', false)) { $pixelwars_subset .= 'latin,'; $extra_char_set = true; }
		if (get_option('char_set_latin_ext', false)) { $pixelwars_subset .= 'latin-ext,'; $extra_char_set = true; }
		if (get_option('char_set_cyrillic', false)) { $pixelwars_subset .= 'cyrillic,'; $extra_char_set = true; }
		if (get_option('char_set_cyrillic_ext', false)) { $pixelwars_subset .= 'cyrillic-ext,'; $extra_char_set = true; }
		if (get_option('char_set_greek', false)) { $pixelwars_subset .= 'greek,'; $extra_char_set = true; }
		if (get_option('char_set_greek_ext', false)) { $pixelwars_subset .= 'greek-ext,'; $extra_char_set = true; }
		if (get_option('char_set_vietnamese', false)) { $pixelwars_subset .= 'vietnamese,'; $extra_char_set = true; }
		if ($extra_char_set == false) { $pixelwars_subset = ""; } else { $pixelwars_subset = substr($pixelwars_subset, 0, -1); }
		
		wp_enqueue_style('roboto', '//fonts.googleapis.com/css?family=Roboto:400,400italic,700,700italic' . $pixelwars_subset, null, null);
		wp_enqueue_style('montserrat', get_template_directory_uri() . '/css/fonts/montserrat/montserrat.css', null, null);
		wp_enqueue_style('bootstrap', get_template_directory_uri() . '/css/bootstrap.min.css', null, null);
		wp_enqueue_style('fontello', get_template_directory_uri() . '/css/fonts/fontello/css/fontello.css', null, null);
		wp_enqueue_style('uniform', get_template_directory_uri() . '/js/jquery.uniform/uniform.default.css', null, null);
		wp_enqueue_style('fluidbox', get_template_directory_uri() . '/js/jquery.fluidbox/fluidbox.css', null, null);
		wp_enqueue_style('owl-carousel', get_template_directory_uri() . '/js/owl-carousel/owl.carousel.css', null, null);
		wp_enqueue_style('photoswipe', get_template_directory_uri() . '/js/photo-swipe/photoswipe.css', null, null);
		wp_enqueue_style('photoswipe-default-skin', get_template_directory_uri() . '/js/photo-swipe/default-skin/default-skin.css', null, null);
		wp_enqueue_style('magnific-popup', get_template_directory_uri() . '/js/jquery.magnific-popup/magnific-popup.css', null, null);
		wp_enqueue_style('slippry', get_template_directory_uri() . '/js/slippry/slippry.css', null, null);
		wp_enqueue_style('main', get_template_directory_uri() . '/css/main.css', null, null);
		wp_enqueue_style('768', get_template_directory_uri() . '/css/768.css', null, null);
		wp_enqueue_style('992', get_template_directory_uri() . '/css/992.css', null, null);
		wp_enqueue_style('shop', get_template_directory_uri() . '/css/shop.css', array('woocommerce-general'), null);
		wp_enqueue_style('wp-fix', get_template_directory_uri() . '/css/wp-fix.css', null, null);
		wp_enqueue_style('theme-style', get_stylesheet_uri(), null, null);
	}
	
	
	function photographer_enqueue_scripts__theme_scripts()
	{
		if (is_singular() && comments_open() && get_option('thread_comments')) { wp_enqueue_script('comment-reply'); }
		wp_enqueue_script( 'jquery' );
		wp_enqueue_script( 'modernizr', get_template_directory_uri() . '/js/modernizr.min.js', null, null );
		wp_enqueue_script( 'fastclick', get_template_directory_uri() . '/js/fastclick.js', null, null, true );
		wp_enqueue_script( 'fitvids', get_template_directory_uri() . '/js/jquery.fitvids.js', null, null, true );
		wp_enqueue_script( 'validate', get_template_directory_uri() . '/js/jquery.validate.min.js', null, null, true );
		wp_enqueue_script( 'uniform', get_template_directory_uri() . '/js/jquery.uniform/jquery.uniform.min.js', null, null, true );
		wp_enqueue_script( 'imagesloaded', get_template_directory_uri() . '/js/imagesloaded.pkgd.min.js', null, null, true );
		wp_enqueue_script( 'fluidbox', get_template_directory_uri() . '/js/jquery.fluidbox/jquery.fluidbox.min.js', null, null, true );
		wp_enqueue_script( 'owl-carousel', get_template_directory_uri() . '/js/owl-carousel/owl.carousel.min.js', null, null, true );
		wp_enqueue_script( 'socialstream', get_template_directory_uri() . '/js/socialstream.jquery.js', null, null, true );
		wp_enqueue_script( 'collageplus', get_template_directory_uri() . '/js/jquery.collagePlus/jquery.collagePlus.min.js', null, null, true );
		wp_enqueue_script( 'photoswipe', get_template_directory_uri() . '/js/photo-swipe/photoswipe.min.js', null, null, true );
		wp_enqueue_script( 'photoswipe-ui-default', get_template_directory_uri() . '/js/photo-swipe/photoswipe-ui-default.min.js', null, null, true );
		wp_enqueue_script( 'photoswipe-run', get_template_directory_uri() . '/js/photo-swipe/photoswipe-run.js', null, null, true );
		wp_enqueue_script( 'gridrotator', get_template_directory_uri() . '/js/jquery.gridrotator.js', null, null, true );
		wp_enqueue_script( 'slippry', get_template_directory_uri() . '/js/slippry/slippry.min.js', null, null, true );
		wp_enqueue_script( 'magnific-popup', get_template_directory_uri() . '/js/jquery.magnific-popup/jquery.magnific-popup.min.js', null, null, true );
		wp_enqueue_script( 'jquery-masonry', get_template_directory_uri() . '/js/masonry.pkgd.min.js', null, null, true );
		wp_enqueue_script( 'view', get_template_directory_uri() . '/js/view.min.js?auto', null, null, true );
		wp_enqueue_script( 'main', get_template_directory_uri() . '/js/main.js', null, null, true );
		wp_enqueue_script( 'wp-fix', get_template_directory_uri() . '/js/wp-fix.js', null, null, true );
	}
	
	
	function photographer_after_setup_theme__enqueue_scripts()
	{
		add_action('wp_enqueue_scripts', 'photographer_enqueue_scripts__theme_styles');
		add_action('wp_enqueue_scripts', 'photographer_enqueue_scripts__theme_scripts');
	}
	
	add_action('after_setup_theme', 'photographer_after_setup_theme__enqueue_scripts');


/* ============================================================================================================================================= */


	function photographer_enqueue_admin()
	{
		wp_enqueue_style('admin', get_template_directory_uri() . '/admin/css/admin.css');
		wp_enqueue_style('thickbox');
		
		wp_enqueue_script('thickbox');
		wp_enqueue_script('media-upload');
	}
	
	add_action('admin_enqueue_scripts', 'photographer_enqueue_admin');


/* ============================================================================================================================================= */


	function photographer_customize_preview()
	{
		wp_enqueue_script('photographer-customize_preview', get_template_directory_uri() . '/admin/js/customize-preview.js', array('customize-preview'), null, true);
	}
	
	add_action('customize_preview_init', 'photographer_customize_preview');


/* ============================================================================================================================================= */


	function photographer_enqueue_login()
	{
		wp_enqueue_script('jquery');
	}
	
	add_action('login_enqueue_scripts', 'photographer_enqueue_login');

?>